#!/bin/bash

. ./conf.sh

/usr/bin/qemu-kvm \
	-name lvmvm \
	-machine pc-1.0,accel=kvm,usb=off \
	-cpu SandyBridge \
	-m 1024 \
	-realtime mlock=off \
	-smp 1,maxcpus=160,sockets=160,cores=1,threads=1 \
	-uuid 259b0bb1-e42e-4afc-8e0c-518fbd94fa6b \
	-no-user-config \
	-nodefaults \
	-qmp tcp:localhost:4444,server,nowait \
	-rtc base=2014-07-10T15:59:36,driftfix=slew \
	-global kvm-pit.lost_tick_policy=discard \
	-no-hpet \
	-no-shutdown \
	-device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 \
	-device virtio-scsi-pci,id=scsi0,bus=pci.0,addr=0x4 \
	-device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x5 \
	-drive file=/dev/$vg_name/$lv_name,if=none,id=drive-virtio-disk0,format=qcow2,serial=055156c3-2576-4804-b82e-9730ab6d0510,cache=none,werror=stop,rerror=stop,aio=native \
	-device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x6,drive=drive-virtio-disk0,id=virtio-disk0 \
	-drive file=/srv/isoimages/Fedora-Live-Desktop-x86_64-20-1.iso,if=none,id=drive-ide0-1-0,readonly=on,format=raw,serial= \
	-device ide-cd,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 \
	-vga qxl \
	-spice port=5900,addr=192.168.1.177,disable-ticketing \
	-boot d \
